> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create job execution

> Triggers a new execution of the batch job. Each execution runs multiple tasks in parallel according to the job's configured concurrency. Tasks can be parameterized via the request body.



## OpenAPI

````yaml /api-reference/controlplane.yml post /jobs/{jobId}/executions
openapi: 3.0.3
info:
  title: Blaxel Control Plane
  version: 0.0.1
servers:
  - description: Blaxel Control Plane
    url: https://api.blaxel.ai/v0
  - description: Blaxel Inference
    url: https://run.blaxel.ai
security:
  - OAuth2:
      - admin
  - ApiKeyAuth: []
paths:
  /jobs/{jobId}/executions:
    post:
      tags:
        - jobs
      summary: Create job execution
      description: >-
        Triggers a new execution of the batch job. Each execution runs multiple
        tasks in parallel according to the job's configured concurrency. Tasks
        can be parameterized via the request body.
      operationId: CreateJobExecution
      parameters:
        - description: Name of the job
          in: path
          name: jobId
          required: true
          schema:
            type: string
          x-stainless-param: pathJobId
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateJobExecutionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateJobExecutionOutput'
          description: successful operation
        '400':
          description: bad request
        '500':
          description: internal server error
      security:
        - OAuth2:
            - jobs:create
        - ApiKeyAuth: []
components:
  schemas:
    CreateJobExecutionRequest:
      type: object
      description: Request to create a job execution
      properties:
        env:
          type: object
          description: >-
            Environment variable overrides (optional, will merge with job's
            environment variables)
          additionalProperties:
            type: string
          example: '{"MY_VAR": "custom_value", "BATCH_SIZE": "100"}'
        executionId:
          type: string
          description: Execution ID (optional, will be generated if not provided)
        id:
          type: string
          description: Unique message ID
        jobId:
          type: string
          description: Job ID
          example: data-processing-job
        memory:
          type: integer
          description: >-
            Memory override in megabytes (optional, must be lower than or equal
            to job's configured memory)
          example: 2048
        tasks:
          type: array
          description: Array of task parameters for parallel execution
          items:
            type: object
        workspaceId:
          type: string
          description: Workspace ID
    CreateJobExecutionOutput:
      type: object
      description: >-
        Response returned when a job execution is successfully created. Contains
        identifiers and the tasks that will be executed.
      properties:
        executionId:
          type: string
          description: >-
            Unique identifier for the created execution. Use this ID to track
            execution status, retrieve logs, or cancel the execution.
          example: exec-abc123
        id:
          type: string
          description: >-
            Unique identifier for this request, used for idempotency and
            tracking. Auto-generated if not provided in the request.
          example: 550e8400-e29b-41d4-a716-446655440000
        jobId:
          type: string
          description: Name of the job that this execution belongs to
          example: data-processing-job
        tasks:
          type: array
          description: >-
            Array of task configurations that will be executed in parallel
            according to the job's concurrency settings. Each task can have
            custom parameters.
          items:
            type: object
        workspaceId:
          type: string
          description: Name of the workspace where the job execution was created
          example: my-workspace
  securitySchemes:
    OAuth2:
      description: OAuth2 authentication with JWT tokens
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize
          scopes:
            admin: Administrative access
            agents:create: Create agents
            agents:delete: Delete agents
            agents:get: Get agent details
            agents:list: List agents
            agents:update: Update agents
            apiKey:list: List API keys
            apiKey:write: Create and delete API keys
            configurations:list: List configurations
            customdomains:create: Create custom domains
            customdomains:delete: Delete custom domains
            customdomains:get: Get custom domain details
            customdomains:list: List custom domains
            customdomains:update: Update custom domains
            functions:create: Create functions
            functions:delete: Delete functions
            functions:get: Get function details
            functions:list: List functions
            functions:update: Update functions
            integrations:create: Create integrations
            integrations:list: List integrations
            invitations:list: List invitations
            jobs:create: Create jobs
            jobs:delete: Delete jobs
            jobs:get: Get job details
            jobs:list: List jobs
            jobs:update: Update jobs
            locations:list: List locations
            mcphub:list: List MCP hub resources
            models:create: Create models
            models:delete: Delete models
            models:get: Get model details
            models:list: List models
            models:update: Update models
            policies:create: Create policies
            policies:delete: Delete policies
            policies:get: Get policy details
            policies:list: List policies
            policies:update: Update policies
            sandboxes:control: Control sandbox operations
            sandboxes:create: Create sandboxes
            sandboxes:delete: Delete sandboxes
            sandboxes:get: Get sandbox details
            sandboxes:list: List sandboxes
            sandboxes:update: Update sandboxes
            sandboxhub:list: List sandbox hub resources
            templates:get: Get template details
            templates:list: List templates
            volumeTemplates:create: Create volume templates
            volumeTemplates:delete: Delete volume templates
            volumeTemplates:get: Get volume template details
            volumeTemplates:list: List volume templates
            volumeTemplates:upsert: Create or update volume templates
            volumes:create: Create volumes
            volumes:delete: Delete volumes
            volumes:get: Get volume details
            volumes:list: List volumes
            workspaces:accept: Accept workspace invitation
            workspaces:create: Create workspaces
            workspaces:decline: Decline workspace invitation
            workspaces:delete: Delete workspaces
            workspaces:get: Get workspace details
            workspaces:invite: Invite users to workspace
            workspaces:leave: Leave workspace
            workspaces:list: List workspaces
            workspaces:remove: Remove users from workspace
            workspaces:update: Update workspaces
          tokenUrl: /oauth/token
        clientCredentials:
          scopes:
            admin: Administrative access
            agents:create: Create agents
            agents:delete: Delete agents
            agents:get: Get agent details
            agents:list: List agents
            agents:update: Update agents
            apiKey:list: List API keys
            apiKey:write: Create and delete API keys
            configurations:list: List configurations
            customdomains:create: Create custom domains
            customdomains:delete: Delete custom domains
            customdomains:get: Get custom domain details
            customdomains:list: List custom domains
            customdomains:update: Update custom domains
            functions:create: Create functions
            functions:delete: Delete functions
            functions:get: Get function details
            functions:list: List functions
            functions:update: Update functions
            integrations:create: Create integrations
            integrations:list: List integrations
            invitations:list: List invitations
            jobs:create: Create jobs
            jobs:delete: Delete jobs
            jobs:get: Get job details
            jobs:list: List jobs
            jobs:update: Update jobs
            locations:list: List locations
            mcphub:list: List MCP hub resources
            models:create: Create models
            models:delete: Delete models
            models:get: Get model details
            models:list: List models
            models:update: Update models
            policies:create: Create policies
            policies:delete: Delete policies
            policies:get: Get policy details
            policies:list: List policies
            policies:update: Update policies
            sandboxes:control: Control sandbox operations
            sandboxes:create: Create sandboxes
            sandboxes:delete: Delete sandboxes
            sandboxes:get: Get sandbox details
            sandboxes:list: List sandboxes
            sandboxes:update: Update sandboxes
            sandboxhub:list: List sandbox hub resources
            templates:get: Get template details
            templates:list: List templates
            volumeTemplates:create: Create volume templates
            volumeTemplates:delete: Delete volume templates
            volumeTemplates:get: Get volume template details
            volumeTemplates:list: List volume templates
            volumeTemplates:upsert: Create or update volume templates
            volumes:create: Create volumes
            volumes:delete: Delete volumes
            volumes:get: Get volume details
            volumes:list: List volumes
            workspaces:accept: Accept workspace invitation
            workspaces:create: Create workspaces
            workspaces:decline: Decline workspace invitation
            workspaces:delete: Delete workspaces
            workspaces:get: Get workspace details
            workspaces:invite: Invite users to workspace
            workspaces:leave: Leave workspace
            workspaces:list: List workspaces
            workspaces:remove: Remove users from workspace
            workspaces:update: Update workspaces
          tokenUrl: /oauth/token
      type: oauth2
    ApiKeyAuth:
      bearerFormat: API Key
      description: Long-lived API key for programmatic access
      scheme: bearer
      type: http

````